Page MenuHomePhabricator

Integrate sprint UI into projects
Closed, ResolvedPublic

Description

To simplify usage of sprints and increase user visibility, I suggest to integrate the sprint UI this extension provides more into the regular project UI.

I.e. the workboard could be replaced with the sprintboard, and the burndown chart could be an item in the project navigation.

Currently projects and sprints look almost identical, up to the point where a user might be confused by looking at a sprint project but missing the sprint UI.

Event Timeline

devurandom updated the task description. (Show Details)
devurandom raised the priority of this task from to Needs Triage.
devurandom added a subscriber: devurandom.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 3:12 PM

See T91437#1087644 for technical reasons.

urzds added a subscriber: urzds.Feb 9 2016, 3:23 PM

Phabricator now has a Profile Menu mechanism for Projects. Could that be used? Is it going to be used?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 9 2016, 3:23 PM
joshma added a subscriber: joshma.Feb 10 2016, 10:40 PM

see https://gerrit.wikimedia.org/r/#/c/270484/. A lot of former sprint stuff (points, workboard cards with points, column point totals) is part of phabricator now.

Note that the profile menu customization occurs only in the sprint application context. (accessed through /project/sprint)

See example here: http://phab10.wmflabs.org/project/sprint/profile/35/

Christopher closed this task as Resolved.Feb 19 2016, 7:16 AM